Subject: Re: [PATCH v2] powernv: Simplify searching for compatible device nodes

From: Jack Miller <[email-masked]>
Date: Thu, 4 Aug 2016 11:03:12 -0500

On Thu, Aug 04, 2016 at 06:39:24PM +1000, Michael Ellerman wrote:
> Cyril Bur <[email-masked]> writes:
> 
> > On Wed,  3 Aug 2016 12:18:00 -0500
> > Jack Miller <[email-masked]> wrote:
> >
> >> (rebased on powerpc/next)
> >> 
> >> This condenses the opal node searching into a single function that finds
> >> all compatible nodes, instead of just searching the ibm,opal children,
> >> for ipmi, flash, and prd similar to how opal-i2c nodes are found.
> >> 
> >> Signed-off-by: Jack Miller <[email-masked]>
> >
> > Using a version of the related skiboot patch that may not be the final one:
> > Tested-by: Cyril Bur <[email-masked]>
> 
> Thanks. The part I'm still not clear on is *why* we're moving them in
> skiboot?

Ostensibly so the actual flash device nodes can inherit the #size-cells /
#address-cells properties properly set in the flash parent node instead of
the ibm,opal node (which has them set to 0). This would be more correct if
anything actually started to honor these settings.

The only concrete effect though is stopping dtc (and thus fwts) from whinging
when you run skiboot's output DT through it.

- Jack